"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class PreparationMethod(object):
    """
    In 100K, preparation Method of sample     NOTE: In GMS, this field is
    deprecated in favour of StorageMedium and Method
    """

    ASPIRATE = "ASPIRATE"
    CD128_SORTED_CELLS = "CD128_SORTED_CELLS"
    CD138_SORTED_CELLS = "CD138_SORTED_CELLS"
    EDTA = "EDTA"
    FF = "FF"
    FFPE = "FFPE"
    LI_HEP = "LI_HEP"
    ORAGENE = "ORAGENE"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "1.3.0"
